package rss;

/**
 * Represents an item in an RSS feed.
 *
 * @author    Simon Brown
 */
public class RssItem {

  /** the title of the item */
  private String title;

  /** a link (url) to the complete item */
  private String link;

  /**
   * Gets the title of this item.
   *
   * @return  the title as a String
   */
  public String getTitle() {
    return title;
  }

  /**
   * Sets the title of this item.
   *
   * @param title   the title as a String
   */
  public void setTitle(String title) {
    this.title = title;
  }

  /**
   * Gets the url (link) to this item.
   *
   * @return  the url as a String
   */
  public String getLink() {
    return link;
  }

  /**
   * Sets the url (link) to this item.
   *
   * @param link    the link as a String
   */
  public void setLink(String link) {
    this.link = link;
  }

}
